﻿changequote([, ])

define([BACKGROUND_COLOR], [white])
define([HEADERS_COLOR], [black])

define([DARK], [#000066])
define([LIGHT], [#3366CC])
define([CONTRAST], [#FFCC33])
define([MEDIUM], [#333399])

define([BASE_1], [#E1F03E])
define([BASE_2], [#FFBA14])
define([BASE_3], [#DB3A0F])
define([BASE_4], [#A1003D])
define([BASE_5], [#630024])

define([HEADER_BG], [BASE_5])
define([HEADER_FG], [white])
define([HREF], [MEDIUM])

define([RULE_COLOR], [LIGHT])
define([RULE_WIDTH], [1px])

define([PX], [eval($1)px])

define([CONTENT_WIDTH], 700)
define([FOOTER_HORIZONTAL_PADDING], [80])

define([NAVIGATION_FONT_SIZE], [14])
define([NAVIGATION_VERTICAL_PADDING], [8])

define([HEADER_IMAGE_HEIGHT], [150])
define([HEADER_PADDING_TOP], [10])
define([HEADER_PADDING_BOTTOM], [40])
define([HEADER_HEIGHT], eval(HEADER_IMAGE_HEIGHT + HEADER_PADDING_TOP + HEADER_PADDING_BOTTOM))

define([NAVIGATION_HEIGHT], eval(NAVIGATION_FONT_SIZE + 2 * NAVIGATION_VERTICAL_PADDING))

/* eval(NAVIGATION_HEIGHT + HEADER_HEIGHT) es la altura de la parte blanca del fondo... */

/*************************************
 * declare the fonts
 */

@import url(http://fonts.googleapis.com/css?family=IM+Fell+English:400,400italic&v2);
@import url(http://fonts.googleapis.com/css?family=IM+Fell+Double+Pica+SC&v2);
@import url(http://fonts.googleapis.com/css?family=Droid+Sans);
@import url(http://fonts.googleapis.com/css?family=Rock+Salt);

/*************************************
 * reset 
 */


html, body, div, span, object, iframe, h1, h2, h3, h4, h5, h6, p,
blockquote, pre, a, abbr, acronym, address, code, del, dfn, em, img, q, dl,
dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody,
  tfoot, thead, tr, th, td {
  border: 0 none;
  font-family: "IM Fell English";
  font-size: 16pt;
  font-style: inherit;
  font-weight: inherit;
  margin: 0;
  padding: 0;
  vertical-align: baseline;
}

em {
  font-style: italic;
}


/*************************************
 * structure
 */

#wrapper {
  margin: 0 auto;
  max-width: PX(CONTENT_WIDTH);
}

#header {
  height: PX(NAVIGATION_HEIGHT + HEADER_HEIGHT);
  margin-bottom: 0px;
  padding-top: PX(NAVIGATION_HEIGHT);
  position: relative;
}

#content {
}

#footer {
}

/*************************************
 * backgrounds
 */

body {
  background: BACKGROUND_COLOR url(images/background.png) repeat-x scroll 0 -10px; 
  padding:0px 0px 100px 0px;
}

/*************************************
 * navigation
 */

#navigation {
  background-color: DARK;
  height: PX(NAVIGATION_HEIGHT);
  position: fixed;
  left: 0px;
  top: 0px;
  width: 100%;
  z-index: 10;
  overflow: visible;
}

#navigation h2 {
  display: none;
}

#navigation ul {
  margin: 0 auto !important;
  position: relative;
  top: 0px;
  width: PX(CONTENT_WIDTH);
  list-style-type: none;
}

#navigation li {
  display: inline;
  padding-right: 15px;
}

#navigation a {
  font-family: "Droid Sans";
  font-size: PX(NAVIGATION_FONT_SIZE);
  background-color: DARK;
  color: white;
  text-decoration: none;
}

#navigation a:hover, #navigation a:focus {
  color: CONTRAST;
}

/*************************************
 * header
 */

#header {
  height: PX(HEADER_HEIGHT);
}

#header h1 {
  background: transparent url(Images/header.png) no-repeat scroll 0px 10px ;
  line-height: 500px;
  height: PX(HEADER_IMAGE_HEIGHT);
  width: PX(CONTENT_WIDTH);
  position: absolute;
  left: 0px;
  bottom: PX(HEADER_PADDING_BOTTOM);
  overflow: hidden;
}

.hidden {
  display: none
}

#diagram {
position: fixed;
  left: 40px;
  top: 90px;
  width: 140px;
}

/*************************************
 * content
 */

#content h2 {
  color: HEADERS_COLOR;
  margin-bottom: 10px;
  padding-bottom: 0px;
  font-size: 37px;
  font-family: 'IM Fell Double Pica SC';
  font-style: normal;
  font-weight: normal;
}

.section {
  padding-top: 60px; 
}

.section:first-child {
  padding-top: 20px;
}

a {
  color: HREF;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

li {
  margin-bottom: 0ex;
  margin-top: 0ex;
}

li:first-child {
  margin-top: 0px;
}

ul {
  list-style-image: none;
  margin-left: 2em;
  margin-right: 2em;
  margin-bottom: 1em;
  margin-top: 0em;
  list-style-image: url(Images/bullet.svg);
}

ul li {
  padding-left: 0.5ex;
  margin-bottom: 0.5ex;
}

ul.practicas {
  counter-reset: practica -1 parcial 0;
}

ul.practicas li:before {
  counter-increment: practica;
  margin-right: 1em;
}

ul.practicas li.parcial:before {
  counter-increment: parcial;
}

ul.practicas li.parcial {
  list-style-image: url(Images/special-bullet.svg);
}

/* The news toggle */

p.toggle {
  margin-left: 1em;
  text-align: left;
}

#old_news_list {
  padding-top: 1em;
}

#toggle_text {
  font-family: sans-serif;
  font-size: small;
}

p.toggle img {
  vertical-align: middle;
  padding-bottom: 0px;
  padding-right: 2ex;
}

.modal-dialog {
  position: fixed ! important
}

/*************************************
 * bib
 */

#biblio .title { font-style: italic; }

/*************************************
 * footer
 */

#footer {
  margin-top: 80px;
  padding-left: 0px;
  padding-right: 0px;
  border-top: solid RULE_WIDTH RULE_COLOR;
  font-size: xx-small;
  width: PX(CONTENT_WIDTH);
}

#validators {
  list-style-type: none;
  display: inline-block;
  margin: 5px 0px;
  float: right;
}

#validators li {
  display: inline;
  padding-right: 15px;
}

#validators li:last-child {
  padding-right: 0px;
}

#validators a {
  color: black;
  text-decoration: none;
}

#validators a:hover {
  text-decoration: underline;
}


/*************************************
 * tables
 */

.pretty {
  width: 80%;
  border-collapse: collapse;
  text-align: left; 
  margin-left: 40px;
}

.pretty tr:first-child {
  border-style: none;
}

.pretty tbody tr th {
  padding-top: 30px;
  padding-bottom: 15px;
  text-align: left
}

.pretty tbody tr th {
  padding-top: 15px;
  padding-bottom: 15px;
  font-weight: normal;
  background: transparent url(Images/border.png) repeat-x scroll 0 bottom ;
}

.pretty tr {
}

.pretty tr.lined {
  border-top-width: RULE_WIDTH;
  border-top-style: solid;
  border-top-color: DARK; 
}

.pretty td, .pretty th {
  vertical-align: top;
  padding: 7px 15px 7px 15px;
}

.pretty a:hover {
  background-color: inherit;
}

.pretty tr th {
  margin-top: 1em;
  color: black;
}

/* vim: set filetype=css: */
