(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     42027,        798]
NotebookOptionsPosition[     41410,        775]
NotebookOutlinePosition[     41900,        792]
CellTagsIndexPosition[     41857,        789]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", "t_", "]"}], " ", "=", " ", 
   RowBox[{"Piecewise", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", " ", 
        RowBox[{"t", "\[LessEqual]", "0"}]}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", "1"}], "/", "t"}], "]"}], ",", " ", 
        RowBox[{"t", ">", "0"}]}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"h", "[", "t_", "]"}], " ", "=", " ", 
   RowBox[{
    RowBox[{"g", "[", "t", "]"}], 
    RowBox[{"g", "[", 
     RowBox[{"1", "-", "t"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Kappa]", " ", "=", " ", 
   RowBox[{"NIntegrate", "[", 
    RowBox[{
     RowBox[{"h", "[", "t", "]"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"t", ",", " ", 
       RowBox[{"-", "2"}], ",", " ", "2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"k", "[", "s_", "]"}], " ", ":=", " ", 
   RowBox[{
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      RowBox[{"h", "[", "t", "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"t", ",", " ", 
        RowBox[{"-", "2"}], ",", " ", "s"}], "}"}]}], "]"}], "/", 
    "\[Kappa]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]", "[", "t_", "]"}], " ", ":=", " ", 
   RowBox[{
    RowBox[{"k", "[", 
     RowBox[{"t", "+", "2"}], "]"}], 
    RowBox[{"k", "[", 
     RowBox[{"2", "-", "t"}], "]"}]}]}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"pic", " ", "=", " ", 
   RowBox[{"GraphicsGrid", "[", 
    RowBox[{
     RowBox[{"Partition", "[", 
      RowBox[{
       RowBox[{"Table", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
             "f", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "[",
              "t", "]"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", " ", 
             RowBox[{"-", "2.35"}], ",", " ", "2.35"}], "}"}], ",", " ", 
           RowBox[{"PlotRange", " ", "\[Rule]", " ", 
            RowBox[{"{", 
             RowBox[{"0", ",", " ", 
              RowBox[{
              "f", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
             "}"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"PlotStyle", " ", "\[Rule]", " ", "Thick"}], ",", " ", 
           RowBox[{"LabelStyle", " ", "\[Rule]", " ", "3"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Ticks", " ", "\[Rule]", " ", 
            RowBox[{"{", 
             RowBox[{"Automatic", ",", " ", 
              RowBox[{"{", 
               RowBox[{"0", ",", " ", 
                RowBox[{
                "f", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}],
                "}"}]}], "}"}]}]}], "\[IndentingNewLine]", "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"f", ",", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"g", ",", " ", "0.7"}], "}"}], ",", " ", 
             RowBox[{"{", 
              RowBox[{"h", ",", " ", "0.02"}], "}"}], ",", " ", 
             RowBox[{"{", 
              RowBox[{"k", ",", "1.1"}], "}"}], ",", " ", 
             RowBox[{"{", 
              RowBox[{"\[Phi]", ",", " ", "1.1"}], "}"}]}], "}"}]}], "}"}]}], 
        "\[IndentingNewLine]", "]"}], ",", "2"}], "]"}], ",", " ", 
     RowBox[{"Spacings", " ", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", " ", 
        RowBox[{"Scaled", "[", "0.55", "]"}]}], "}"}]}]}], "]"}]}], 
  "\[IndentingNewLine]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {{InsetBox[
      GraphicsBox[{{{}, {}, 
         {Hue[0.67, 0.6, 0.6], Thickness[Large], LineBox[CompressedData["
1:eJxTTMoPSmViYGBQA2IQ/Vrw7f4zZ5gOMEDBp47f/2+cRPB//Od0eHoMwWd5
p3bg7wEEX+5UwgG9rQh+QNOVAxPmIvhbPu0+GJKH4Nde7jp8hx/BX6ImFczh
zAjnr+HNOHSsmQFhf0qCQ/eE//th/IMXLwsf+PkXzvdNO7JMqu4PnM8sNyNw
zaNfcL5HYMLNfX4/4fyANUsVvl/9Duc3aZ2rT7P9BueXXSie93v/Fzj/10fe
WYJen+H8FWbda+O2fITzJRe3Nly0/ADnp6ceu/bN7i2cv7s6K81H8hWcP+Uh
R+lbzecI//Tmbv7z6zGcX9x5piCc6SGc/2na490OU27D+bacDFzXHK/C+Wqm
SmtYdpyD8xUKY5nF3h2E8/esYY8K/boczlc12rKX0wrB79ueoLivbhmcH39o
5ws1jqVwPtON7PIfUovg/IlsCzTNG2fA+QusuD9b1gTi5AMAQlOpaA==
           "]], 
          LineBox[CompressedData["
1:eJwVkHc81I0Dx3MtFRWPioRIVikVSue+n5NSUWkZFcqMkpSyGgoP4Xm0lK5h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           "]]}, {}}, {{}, {}, {}}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->True,
       AxesOrigin->{0, 0},
       LabelStyle->3,
       PlotRange->{{-2.35, 2.35}, {0, 0.7}},
       PlotRangeClipping->True,
       PlotRangePadding->{
         Scaled[0.02], Automatic},
       Ticks->{Automatic, {{0, 
           FormBox["0", TraditionalForm]}, {0.7, 
           FormBox["0.7`", TraditionalForm]}}}], {192., -152.03636123247412`},
       ImageScaled[{0.5, 0.5}], {360., 222.49223594996215`}], InsetBox[
      GraphicsBox[{{{}, {}, 
         {Hue[0.67, 0.6, 0.6], Thickness[Large], LineBox[CompressedData["
1:eJxTTMoPSmViYGBQA2IQ/Vrw7f4zZ5gOMEDBp47f/2+cRPB//Od0eHoMwWd5
p3bg7wEEX+5UwgG9rQh+QNOVAxPmIvhbPu0+GJKH4Nde7jp8hx/BX6ImFczh
zAjnr+HNOHSsmQFhf0qCQ/eE//th/IMXLwsf+PkXzvdNO7JMqu4PnM8sNyNw
zaNfcL5HYMLNfX4/4fyANUsVvl/9Duc3aZ2rT7P9BueXXSie93v/Fzj/10fe
WYJen+H8FWbda+O2fITzJRe3Nly0/ADnp6ceu/bN7i2cv7s6K81H8hWcP+Uh
R+lbzecI//Tmbv7z6zGcX9x5piCc6SGc/2na490OU27D+bacDFzXHK/C+Wqm
SmtYdpyD8xUKY5nF3h2E8/esYY8K/boczlc12rKX0wrB79ueoLivbhmcH39o
5ws1jqVwPtON7PIfUovg/IlsCzTNG2fA+QusuD9b1gTi5AMAQlOpaA==
           "]], 
          LineBox[CompressedData["
1:eJwVVnc81e8f1SAzIxIiI5IkvoWM+znSUqIke5QZhVAoq1DKKFwKlREqoYwk
e6+MhCT7Wln3XpWyin5+fz2v9x/P8z7nPOd9nkfM+spZu/UMDAxO6xgY/r/K
Xe4Ue21oAXan2zX6T/04cDuLw471Kmb1rtoSlu6y0TMcp6gqd5CZJHR/SW+n
MimJmMnWe4RX+3uZhWTz1ZxixiWON8YiLqbQUVjut9rjkHDzQSIeESVFfxSY
5dXnr/a2sss+Rbsv07vQ4Uj1nY4BTGkpCTBpTgv2NStS17eUhppAEgpjHVd7
+SjqVa8m1KaOJ8OXVWeJM2UdyXin2tcDG54huMJrYBOjGGk28cG1W+XPcDlB
f9txGxIpWGCEq+VGCnRbquxU/xmSRGIUX/MrpkJ+epvmiL8r6d3mkBM231MR
Jvu94va3O6RTIf3jbzLTkNew+O+u2BPS2Ab5wGX759A3K/888zCb5OMfJHJM
/AV+Lte0BVtXkXiWvhRHDbyAlIHiXUeFDhLvyMHmqvSXqJPvKT6LURJ/8+O+
H1fTccAt1bfcdo4kmP93Rgyv4Pk9P1s7bz2xPcHyrx5rBtoUilkqznATIsGV
7IFdGThlNxJdNyNCiF4RF85LzsTg/G8d37cyhLjx7b0jl7PQXe2am2SuREge
+kbiUX6NfzrTv/QVNQlpGS1dzfVv4Bgm37Zh/BQhsyXD0r31DeLKK8rvWxsS
sn/ZrqTEZYPre+vQ7fkLROzPAkwp5GBC16xzk7wjsW1i4nhAbA4Ed1iIC5m4
E4/7tp0RWMnBPmLvXsfD3oTQpxPGuda5CNq34bClXyDxtNb7wonGXFDLVnhF
U0MI4aJMh+G9eVCX49fTvBNFJL7ud70RnYe//OXnspJjiR0pHDe4l/Iw2+92
a9kziUh+RAS8snyLdM+DK5b5aYRY2JWQQ7VvcaiqVuXWzwwi5WZyVM/ufPRx
he4lm+YSO6+1x7tF5OP08s+lEbEC4rnD+hSW3/kweJj4+9BCCSFlsT/jmek7
iFw4ZZscVEWk69nmqVS+Q9HllzwPquqI3cceFrdLFqB8mtvV5VMTkaFaX+0Y
VoDnpVYH++0/EXv2LTSt+1EA+fVmM2+onUSWhHRnvOF7uPSvPppg/Urs3WbS
p1D6HpSupIqVzn7iDXvo6AexQpR+4fzRsXeY2LeuZMbqbiEkAibu25uNETm/
Z+aWqIXI75V0/LAyQfw3vf1v1NkiOI45qSSLUom3gzobZQqLkFCm0cPp8J04
0OnPXi1cjBzf3/pB7HNEQUM2r2lQMax0/uRrb5wnlEsp239OFmO+L0lZy3CJ
KMzhlgzVLYGxTrMcmWWFUHmuuVc8vwSkdGurUjIDiuOvKhYLlEJNhUGl/Ot6
qD1II529WQr9hyf2PTdlRGlg19HpsVIYvqYXmm1nBsmLSTfwZBnkDrdkD4ix
ofyysqFgThleqSY2Kl7ZjKpz8fYnfcoRc/EU48QiDzRPNLmMUMrxaOcF00x+
PtSS/nh6H6vAznbJN8nW/Dj6n+xNnqwKkJpOyw/2CcAm+s3hLuZKFD+pave+
sx1pHA3Hn6lVYvxAM2u41Q6M3R3SdnaphNSY/zkeFTHY+XKdY/xcCQ1JvqCo
pzvxYl7auJ2pCsaPxGyab0jhm+sh8wSVKtx4LDhh4CENBzt3W8WkKiieF2LU
bJZF+lCow7qOKqg8OuIbumsfpkxSnVo3VsP/wlGVxQ55XNL9fM3uUjVKvDTn
zgbvR57ESmVLfDW6fGi7uocPYHlRkuPAh2p89PpWna2jhLBUr+frpWvQVfBj
7IWRCj5fT/7haFQDNrW5Eut5VWzX/UBqD67B0lNNl9cv1JG1KPglabwGH8w3
p90W0cCv1sPim/hq4edt0trGfQjqqU4uLkdq0cnRE3BxsyZadcqZSKm1CAkv
4/0ucQT0FCvl3gt1uFfJZPRfjRaUrocGHYqsQ36lRlrRhpPw13nbll5Rh2Ul
Wc8TutrgXNzo4CVSj5y+d9TKdbqQ10mP4+2vB63jJv/bH3q4Lt4+5sPWAGE9
T42mtYSqXFiSH1VtgHnh64jNIfrQS9H+kBvfgEMxqm0SigZwX6Av6Ro1ImLb
1cPezcYobuE/VhDciH/S/OlLZSZYn6JBFi5ohHqLBnPCO1NEnyLLUHk/gJ39
bRAp3xz5zxTNQjo+IOFmtKuo1wXMa/uW1ug0I7akc5l3lx0IsefMe/yaUXNq
e3tZgx2C51vPkbOaEdAYqZJ7yR78z3bQLrC1oJId9ebvL+LgfLXwamML2r1o
x1cvXYJ3MsvNg0c+IorH6O1RQVdYcCtNxnl9xCYH/uwzQa7QCLTWW8r4iFoe
IyYHmiuYbEskirnbcO9nK1NarRuidzk3qg21gZwuTrz0vwpDo8l7O8o+oT9Q
Y4+5kBdcBrU7xI07IB1p0jn8wR+UrSNMnW4dGGqXjZDUugm909fVgsI6YLJi
TH1RfxMHKtPSRss7MLsQeXyn9S0sP1vxTJPsxJbS3IBXFwIQbJctJDXXCR8e
h2N+lkFIpPLY7X7QhQ62vB87tO7CcKAnzOplFyI0rlgz3b4Lzo/JefGVXci6
8ZQlu+IubmXLMbDOdUHKU1ORpHQP1u4nn0wbfUGSbdU8i2gIpBYD2jPFulGk
Sry0GgvF4KTW4qhqNxb4Ll/UFwpDbA/nju3nuhHYKCA9qhcG5pIEp/Dgbij4
XLz5uSwM035Fm5xnusEhsr2qPjIc2Rt+kOTefQXT8vEKDbEHcPj13tb+41fI
a/ANy+g9gOi4f1jixFd8C1tL1lsPQK5n79ks2IMdoq9PjQ08wLUQ6Wuz/j2Y
zEhrJ8gRkPWefbwrrgfxwhoXV8siMH6poOp8bg9MBO2aFKYiYHjqCOen0R7o
s8gILYhE4iDnhYwcrV7QI98YartG4vs/qfZJq17Mf/5W9y0oEq++0xZEfXrR
YF/xSik2EoIdPkejXvci077rzI/SSPyNiaW48fRB1ua5XtXGKFQKtm3d39+H
ylfnXp2+E4W/BxOHC+f6sKvLP/sXOQoqRs5ZBFs/3D4fu3MmOQp50WyaJ1X7
Eaulun9PcRRS2bWcreL6kc2lvt1mOgoUGf6DE9n9sKI6bHn3OwrbT3xb79zQ
jw+CQqolDGTE3Lkdd32+H8HGxOwIHxnBq5U1EecGsIFzk1WcOhnV2yMf8DkN
oJupeu/to2T8Uz1v8iRoAJP7OHjFdcm47rVCf5E3AFavDyevWpKR/7ClSLZp
AFq/1fdJ2ZPx/e2T23nDAzDQPGwQ6kyG43cVwXKuQWg2Kzy38yHjxWaW8cPS
g4jVoV7tDyBjRPZr9gcMYrtBf+uGe2SIaL/0Pm00iNbraaF998kwdfQ82uUy
iB91f4Nsosl4dPcol1nwID4t5D58EkdG53PePkrCIOKL0hKCEsg4NZLnSm0Z
xElhSR6bF2TcYwhUcx8bRMbL9iOmGWTUiegxLf4ZxMD5xSWGN2SsJ4m2+20Z
gvB0p4BRLhmE2eyTDXuGwKyZ/cA8nwzvG+X2IZpD8Dg2foT7PRkFsfcVOE2H
sOcMRcajiIyf78z/xrgNIbFTQOFeCRn7Pu9pEAwZgh2H4MmTZWQ4/VyOSk4e
QlmR16WScjLSuZrMpQqHINndfa+vgowxufhdWW1D+HCVlpBRSYaojsNPhYkh
HA6+kSZdRYb5ZeWy96tDEGs/GW+wVrcc2VArwkZBdTvJR2Gtnu689Gp4KwWi
xerapWv7WWw6HqSJU1DvAfb5tfOlf6pcuyhHAaVIu2Zwrf+xgGcmMqoUaIl6
eHmu4bPlYgHtKAUtOgMKZWv4A5Ncd+boUWAukb+St8YvWe4ry1ULCqyXlSeN
1viXl2FW0ZGCpZl3DFlr+vSfevl58RoFJIlQ4+w1/Zb7NheX3KLATVV0g/Wa
vtsueyb5h1OwJXWOr3ZNf6XlgduH4iho3RaZ3rV2P+dCjl7amEaB2A7y50cp
ZFzd9vp0QzYFAyEv321KJIP8klcxtIQCIa5IR+l4MnKUfAV1GijYPC3MtbTm
B+o57fGOQQoMljvKM9b886NpjjtmhoLRRAPhjYFkzGs8JQwWKQhckWRhWPMf
w15abDf3MEalDGwpl8lgTH1YGycyDFuPaq06GzJYBYgfJnuGcUM7IU3HjIwt
jBEn+48MwyAis+XEiTU+PspeCXrDsH6iIFkOMrb/GEq1tBwG0+tWjm5FMqQG
5FcoXsNoZZZqXBAlQ/VdR/Z4xjB0tHx5V39GAXt8+l+8H0bAnDl78rcoHHkm
weJQOwx9LdrZqZ4o6N6/Zj09MAwnoT82VyuiYGW3lW+WawR5Cnft3IKjYN9X
fihHeASn0kvum3hF4ZLeRRc3mREcF5wNpF6MwjVSYcPc4RGI+lm08mpF4R6f
qfei5whoXdcs/dby5n7Y+pdFQSMwdzU2aPoZCfK6zE7vyBHU2veY1VMi8ZT2
R3bl1QjU88//ai2JRHZdwtC6gRGQHO7el3WJxBeP4SNsh0exXjnhvFdIBPpm
QtxaTo+iwHqP/APzCFCs/ku8bz6KPSFz1G37IjCtE7TA6TkKT72bgZEdD7Aq
KZnB+2oUXpRHvxS3PIDkFwdOEc4xTLrvSxn0DQfVmm8zk9AY0jOy/tzVDkfe
bBU7XWoMqSZl39oEwqHBIsRaToyBsvj796F3YTBXb91o6TIGv8DxwoGJUJBT
FJYTWseg3Lat0ZsUglWX5THh8HEI+ewci3h/B3V/Xowyxo0jpfvEkxi/Owi/
pz9CSx0HKxdHlcfhOxBIyRoqKxnHQPwN8y8fb+NAl2Wvxcw48tslps6MBeGy
Wk1bwslv+N5yeaMqeyC+bgovFmaZwKDz7iuy1b6o/n4m7wPvBKxvDnybPOOL
rB6+DA/RCUSHWW1ZGvJBQGZSfKvyBBIXAxyk/3lD5vTb6372E/DwttTR1bwB
v0e9SgM1E6hxYY/monjA4WaSXEjbBMb2j7iZe3rgrIOtlGLfBDTr3UjaHB6Q
UqXz3f85gaxdvgySpGv4NLDut7rYJLoenog6/dwd4pK73z71n8TkFamOfcpX
wL6ZnqEVOonXVtINEb4umJ/PS/n1cBILZ2qyGmuc0dyoTj71ehK1I1dTvhk5
4ZrTGbe/fZN4tw5z+bGOsDTgc0yfmIScU8LfcqoDThC9F87NTYIrLWOMctgB
Ily2Z7JYp2DPsJp3b9EeDW+99pmrTKHMbVlvp68t8p6q72I+OoVQjtCQjBEb
PL2zbkf+mSkk+Myp+2rbwNUobDO7wxSOfCip499pDcE/ibSSR1PQV3yc4j56
HhvHbMYvpkyhpVegT+eLJegt0gNb3kzhwK+GWywfLVCTmNdyuW4KMhYTVuot
ZnDSrM8U+jUFo2e1KVIbjUHiaZmuY5gGtSJT9SybETaPtO925ZhGaLZ9r/02
Q+QEDLyslZrG83juFb0j5xCgN/rNZf80Slufeu620cdZsSlJAY1p3Bkf75+5
exa/Kn+lOptMg8X63mnp0TOoi1we4befRruhvdITgTN4dIFBvNp9GkzuCW5d
mbo4yMCevDV8GltdM3TZKrXhC4mnFeXT8FmKaHJ3PwYdzt19js3T8G6oTddR
OwqRITlB3q/TGIqtqjzEeQSV/qpxDj+mwXsmRuNv9yFE6Wp086xOgxRvEHOr
RQPWIse2lrHOYKCWi+lALLCxXC+Ge+cMfCS3+Q63q6HrvlFnifwMoiz/GhVw
qOKFhQWPPWkGbZ+Ft12yOAitFYfIYsMZuKfWGC4oKUKg1aXN1mYGEuPtG9kr
92P66bXNnK4zeGvIoORp9h/C1W+F24TMrL3bdDuliH2wYA9u5ng0g4NJN/ZT
5fZCrj+MtTBlBsYSJ6Q+zsrgX2bUCevsGZgL2mynf5LGJ5/Ye+ylM1gbziXj
dik8005oKGicgeSs5jb+7zvhLpTKZNU1g9I3LuWyshLgLXlz+x19Bk0iPdGl
33dgPDS/5vyfGdQ/2ftmnF0YBabF61mZqTBupSWnmAnirkzloXxeKmJrhjJG
evlhvFx3y1KMCi53SbPoe3zY3dRcwSxHRdCjK3XPrLdgOb59NU+VClgUlP6x
58ZTlQHfTeeoyFhtLnnVwgZnltGS3AtUMAdUe/gVM4PomVw2c6au/U+T5OKo
jOB8RVdh8qbCteLS1PrzG0C5/ut6TjAVf92MDLo51iFXa/m9aTQVIgoi929P
rxCB2xgWNiZT4RQ9BnaJZUJ/klEpO4sKeeL+2eWyeWJnIZuHSREVgeU2j5Xz
54jfd7nzN9RTkeUTdW189TtRb8Q/97qDCibJopAaORoRu0v4P+MhKkJ9BE4/
pE8SDgvibuupVNC26D7eoDBOqDRI52QtUtF1cyPdcnqYYI2VmzVkpOGiXbk8
745Bos/+gNw6HhqS31r9+bunh8hSUnXOFKHBo4KbmjjxmYDwEX9fGRp+XzQ7
EHajnejYoBuho0QD3Ui9ypS1lbCbNkoW0aQhuKBya+xyA7H4ySp3VoeGT13t
4oqZNUTY+8vVlSY0MHNvTfNirCREEj06o+xoOGQrovJtsojIvX1zzNqNBsXY
tuJNTfnEkcshv/f70cBmpTwXGJZDdOtFMzGG0EDb2s1SIZRBXDqYwP8lhoai
5t3T7xzTiBWRl9Ivk2mISzTN2JSQREQy5qpcz6JB5LQND79aHCFBLT55opCG
Z9ZO5urnyURBR62ZYC0NMT+izzmHhhFaRR+dZtpoWDZlUVW0vU30JX31K+2j
YbsI7xeBj36ES/DIg/sTNLAWZK7o+XgQDM7UJMs5GpbGU+auBboQ0frzOfv+
0aBhbyQvp29HSKkyVDOw0aHlcmfmn64FUSTK2tm+lQ59b377+Xp94tQm3rEU
cToCKvxHQ2RPEkM04d9X5ejASunwvd8ahPvnXUxHVeloWmZU7PNRJBhLFPi3
HqOj1fK/mIAHMkTcMzXpCT06onpXb1Yu7CD23DuqUmhBR5i3iPZwLg9R7nL6
ZIgjHYEHFL5KKjASegYmZqYedESEv7+epLxAGlOzcdoTQEd5s9qCf8AkyUvc
2e9vOB1jWzNVuz5/JbGyeD1ojaMjbnXqStPmRlLC7K2kxDQ6roh6bpXfV0CS
/xKacyWHjsGQhT/ulqmkmtKYKo1SOvICfxDMXREkw9TEDu7GNXz/Arh2Xr1O
mgpJHx3ppKO+Xt7sr6MVydc179fbITpmIw+USTQdI3EalTLemaGDufdxTIHg
HlIKqX6r4QIdu9KT9Q5T2UmKOz/t2rVhFmXVzGqsx2bUG1l7Dy5unoWD+TUm
kl69utmP0RMfBGexrOzjHLwuSZ3eTTN9LDWLCrmBlohWN/WA8oXLl/+bhVW2
jsp+Uw113ufr/NSJWYyK1rLVcW1SV3HnSxo0mEXfRy0J6cxbai3GO3KyrWax
lD/K3WOxV80Su6tuOc/COvht2cGlFtXb7KRR8TuzGGjn4OPU/qzy6YXtrov5
syB5ce7m9eZRuhBz6Wfh3Cy0WDaFF+a+2fA/ThsOLg==
           "]], 
          LineBox[CompressedData["
1:eJxTTMoPSmViYGDQAmIQveXtzevlnB/sGaCgMOR/831+BF9vt4qBuxiCv7wj
v0NMGcGfpcxqudUGwW+MNJj1KR/B9zvaFpN7DcF/Mcf4YdLij3B+pIqAtobS
ZzjfyuDH9JyZX+D8TxJ/31QafIPzn99saUpc8x3O31SuySDk8RPOfzfz5gLH
O7/g/PQpPE3eoX/g/G3ZMd5y7/7C+U7S+qGns//D+fOXsx38XcDgAONzGrR4
f7NmhPMnqjh/i/2J4Ludydy4+g+C/6d4Qs7P/wh+2uG7j6awMcH5NkkV508L
I/gv5q9dYamH4NtJS0SLJiP4Xw7ZiSWnIfgrs1IvbshE8EV2bXL3KUDwX0b4
mjTXIvhTpjXxfpyO4HvZrTxhNxvB///0fHPPPAQ/y1T2l/pSBN/hyvZncZsQ
/G/V9xau2Yrgr1Zmjf21A8EXKw66PHU/gn9aqrLv8SEEv+HQfE/DYwi+WdYx
lvqTCP5rwbf7z5xB8AHEepvE
           "]]}, {}}, {{}, {}, {}}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->True,
       AxesOrigin->{0, 0},
       LabelStyle->3,
       PlotRange->{{-2.35, 2.35}, {0, 0.02}},
       PlotRangeClipping->True,
       PlotRangePadding->{
         Scaled[0.02], Automatic},
       Ticks->{Automatic, {{0, 
           FormBox["0", TraditionalForm]}, {0.02, 
           FormBox["0.02`", TraditionalForm]}}}], {576., -152.03636123247412`},
       ImageScaled[{0.5, 0.5}], {360., 222.49223594996215`}]}, {InsetBox[
      GraphicsBox[{{}, {}, 
        {Hue[0.67, 0.6, 0.6], Thickness[Large], LineBox[CompressedData["
1:eJxF2Hc8le//B3AUn6yUSCEru9JSWee8JEpWlEhFVsUntNNQolJSUcoo2SKR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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->True,
       AxesOrigin->{0, 0},
       LabelStyle->3,
       PlotRange->{{-2.35, 2.35}, {0, 1.1}},
       PlotRangeClipping->True,
       PlotRangePadding->{
         Scaled[0.02], Automatic},
       Ticks->{Automatic, {{0, 
           FormBox["0", TraditionalForm]}, {1.1, 
           FormBox["1.1`", TraditionalForm]}}}], {192., -456.1090836974223}, 
      ImageScaled[{0.5, 0.5}], {360., 222.4922359499621}], InsetBox[
      GraphicsBox[{{}, {}, 
        {Hue[0.67, 0.6, 0.6], Thickness[Large], LineBox[CompressedData["
1:eJxF2nk4VVHXAHAhmSokU5KkUiEKKdyFKEQphaKEqEwZkyIyRIaSUEplKJkT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          "]]}},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->True,
       AxesOrigin->{0, 0},
       LabelStyle->3,
       PlotRange->{{-2.35, 2.35}, {0, 1.1}},
       PlotRangeClipping->True,
       PlotRangePadding->{
         Scaled[0.02], Automatic},
       Ticks->{Automatic, {{0, 
           FormBox["0", TraditionalForm]}, {1.1, 
           FormBox["1.1`", TraditionalForm]}}}], {576., -456.1090836974223}, 
      ImageScaled[{0.5, 0.5}], {360., 222.4922359499621}]}}, {}},
  ContentSelectable->True,
  PlotRangePadding->{6, 5}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{
  "\"\</home/mariano/public_html/Diferencial/Notas/bump.pdf\>\"", ",", " ", 
   "pic", ",", " ", 
   RowBox[{"ImageSize", " ", "\[Rule]", " ", 
    RowBox[{"3", " ", "72"}]}]}], "]"}]], "Input"],

Cell[BoxData["\<\"/home/mariano/public_html/Diferencial/Notas/bump.pdf\"\>"], \
"Output"]
}, Open  ]]
},
WindowSize->{995, 677},
WindowMargins->{{Automatic, 103}, {10, Automatic}},
FrontEndVersion->"8.0 for Linux x86 (32-bit) (November 7, 2010)",
StyleDefinitions->FrontEnd`FileName[{$RootDirectory, "home", "mariano", 
   ".Mathematica", "SystemFiles", "FrontEnd", "StyleSheets"}, "MyDefault.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 1573, 51, 152, "Input"],
Cell[CellGroupData[{
Cell[2155, 75, 2191, 54, 233, "Input"],
Cell[4349, 131, 36672, 627, 421, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41058, 763, 244, 6, 71, "Input"],
Cell[41305, 771, 89, 1, 60, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

